<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DrawTextShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawTextShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawTextShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/ImageRenderer.html"
               title="interface in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawTextShape.html" target="_top">Frames</a></li>
        <li><a href="DrawTextShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.sl.draw.DrawShape">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw</div>
    <h2 title="Class DrawTextShape" class="title">Class DrawTextShape</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                       title="class in org.apache.poi.sl.draw">org.apache.poi.sl.draw.DrawShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html"
                               title="class in org.apache.poi.sl.draw">org.apache.poi.sl.draw.DrawSimpleShape</a></li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.sl.draw.DrawTextShape</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                           title="interface in org.apache.poi.sl.draw">Drawable</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/draw/DrawAutoShape.html"
                           title="class in org.apache.poi.sl.draw">DrawAutoShape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">DrawTextShape</span>
extends <a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html" title="class in org.apache.poi.sl.draw">DrawSimpleShape</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.sl.draw.Drawable">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                        title="interface in org.apache.poi.sl.draw">Drawable</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                         title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.sl.draw.DrawShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawShape.html#shape">shape</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="fields.inherited.from.class.org.apache.poi.sl.draw.Drawable">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from interface&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                        title="interface in org.apache.poi.sl.draw">Drawable</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/draw/Drawable.html#CURRENT_SLIDE">CURRENT_SLIDE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#DRAW_FACTORY">DRAW_FACTORY</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_FALLBACK">FONT_FALLBACK</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_HANDLER">FONT_HANDLER</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_MAP">FONT_MAP</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GRADIENT_SHAPE">GRADIENT_SHAPE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GRESTORE">GRESTORE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GROUP_TRANSFORM">GROUP_TRANSFORM</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#GSAVE">GSAVE</a>, <a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#IMAGE_RENDERER">IMAGE_RENDERER</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#PRESET_GEOMETRY_CACHE">PRESET_GEOMETRY_CACHE</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_CHARACTERS">TEXT_AS_CHARACTERS</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_SHAPES">TEXT_AS_SHAPES</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_RENDERING_MODE">TEXT_RENDERING_MODE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html#DrawTextShape-org.apache.poi.sl.usermodel.TextShape-">DrawTextShape</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html#drawContent-java.awt.Graphics2D-">drawContent</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">draw any content within this shape (image, text, etc.).</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html#drawParagraphs-java.awt.Graphics2D-double-double-">drawParagraphs</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                    double&nbsp;x,
                                    double&nbsp;y)</code>
                                    <div class="block">paint the paragraphs starting from top left (x,y)</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;?,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?
                                    extends <a href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                               title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html#getShape--">getShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html#getTextHeight--">getTextHeight</a></span>()</code>
                                    <div class="block">Compute the cumulative height occupied by the text</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html#getTextHeight-java.awt.Graphics2D-">getTextHeight</a></span>(java.awt.Graphics2D&nbsp;oldGraphics)</code>
                                    <div class="block">Compute the cumulative height occupied by the text</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.draw.DrawSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#computeOutlines-java.awt.Graphics2D-">computeOutlines</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#draw-java.awt.Graphics2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#drawDecoration-java.awt.Graphics2D-java.awt.Paint-java.awt.BasicStroke-">drawDecoration</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#drawShadow-java.awt.Graphics2D-java.util.Collection-java.awt.Paint-java.awt.Paint-">drawShadow</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#getCustomGeometry-java.lang.String-">getCustomGeometry</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#getCustomGeometry-java.lang.String-java.awt.Graphics2D-">getCustomGeometry</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#getHeadDecoration-java.awt.Graphics2D-org.apache.poi.sl.usermodel.LineDecoration-java.awt.BasicStroke-">getHeadDecoration</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#getStroke--">getStroke</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#getTailDecoration-java.awt.Graphics2D-org.apache.poi.sl.usermodel.LineDecoration-java.awt.BasicStroke-">getTailDecoration</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.draw.DrawShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawShape.html#applyTransform-java.awt.Graphics2D-">applyTransform</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawShape.html#getAnchor-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PlaceableShape-">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawShape.html#getAnchor-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/draw/DrawShape.html#getStroke-org.apache.poi.sl.usermodel.StrokeStyle-">getStroke</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="DrawTextShape-org.apache.poi.sl.usermodel.TextShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DrawTextShape</h4>
                                <pre>public&nbsp;DrawTextShape(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="drawContent-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawContent</h4>
                                <pre>public&nbsp;void&nbsp;drawContent(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#drawContent-java.awt.Graphics2D-">Drawable</a></code></span>
                                </div>
                                <div class="block">draw any content within this shape (image, text, etc.).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#drawContent-java.awt.Graphics2D-">drawContent</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                title="interface in org.apache.poi.sl.draw">Drawable</a></code></dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/DrawShape.html#drawContent-java.awt.Graphics2D-">drawContent</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                                                            title="class in org.apache.poi.sl.draw">DrawShape</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics to draw into</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawParagraphs-java.awt.Graphics2D-double-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawParagraphs</h4>
                                <pre>public&nbsp;double&nbsp;drawParagraphs(java.awt.Graphics2D&nbsp;graphics,
                             double&nbsp;x,
                             double&nbsp;y)</pre>
                                <div class="block">paint the paragraphs starting from top left (x,y)</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the vertical advance, i.e. the cumulative space occupied by the text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextHeight</h4>
                                <pre>public&nbsp;double&nbsp;getTextHeight()</pre>
                                <div class="block">Compute the cumulative height occupied by the text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the height in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextHeight-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextHeight</h4>
                                <pre>public&nbsp;double&nbsp;getTextHeight(java.awt.Graphics2D&nbsp;oldGraphics)</pre>
                                <div class="block">Compute the cumulative height occupied by the text</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>oldGraphics</code> - the graphics context, which properties are to be
                                        copied, may be null
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the height in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShape--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getShape</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                                       title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;?,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;&nbsp;getShape()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html#getShape--">getShape</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html"
                                                title="class in org.apache.poi.sl.draw">DrawSimpleShape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawTextShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/ImageRenderer.html"
               title="interface in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawTextShape.html" target="_top">Frames</a></li>
        <li><a href="DrawTextShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.sl.draw.DrawShape">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
